# Method: accounts.payments.list

- [HTTP request](https://developers.google.com/adsense/management/reference/rest/v2/accounts.payments/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.payments/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.payments/list#body.request_body)
- [Response body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.payments/list#body.response_body)
  - [JSON representation](https://developers.google.com/adsense/management/reference/rest/v2/accounts.payments/list#body.ListPaymentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/adsense/management/reference/rest/v2/accounts.payments/list#body.aspect)
- [Payment](https://developers.google.com/adsense/management/reference/rest/v2/accounts.payments/list#Payment)
  - [JSON representation](https://developers.google.com/adsense/management/reference/rest/v2/accounts.payments/list#Payment.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/adsense/management/reference/rest/v2/accounts.payments/list#try-it)

Lists all the payments available for an account.

### HTTP request

`GET https://adsense.googleapis.com/v2/{parent=accounts/*}/payments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account which owns the collection of payments. Format: accounts/{account} |

### Request body

The request body must be empty.

### Response body

Response definition for the payments list rpc.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payments": [ { object (`https://developers.google.com/adsense/management/reference/rest/v2/accounts.payments/list#Payment`) } ] } ``` |

| Fields ||
|---|---|
| `payments[]` | ``object (`https://developers.google.com/adsense/management/reference/rest/v2/accounts.payments/list#Payment`)`` The payments returned in this list response. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/adsense`
- `
  https://www.googleapis.com/auth/adsense.readonly`

## Payment

Representation of an unpaid or paid payment.

See [Payment timelines for AdSense](https://support.google.com/adsense/answer/7164703) for more information about payments and the [YouTube homepage and payments account](https://support.google.com/adsense/answer/11622510) article for information about dedicated payments accounts for YouTube.

| JSON representation |
|---|
| ``` { "name": string, "date": { object (`https://developers.google.com/adsense/management/reference/rest/v2/Date`) }, "amount": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. Resource name of the payment. Format: - accounts/{account}/payments/unpaid for unpaid (current) AdSense earnings. - accounts/{account}/payments/youtube-unpaid for unpaid (current) YouTube earnings. - accounts/{account}/payments/yyyy-MM-dd for paid AdSense earnings. - accounts/{account}/payments/youtube-yyyy-MM-dd for paid YouTube earnings. |
| `date` | ``object (`https://developers.google.com/adsense/management/reference/rest/v2/Date`)`` Output only. For paid earnings, the date that the payment was credited. For unpaid earnings, this field is empty. Payment dates are always returned in the billing timezone (America/Los_Angeles). |
| `amount` | `string` Output only. The amount of unpaid or paid earnings, as a formatted string, including the currency. E.g. "¥1,235 JPY", "$1,234.57", "£87.65". |